<configuration scan="true" scanPeriod="30 seconds">

        <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
                <!-- encoders are assigned the type ch.qos.logback.classic.encoder.PatternLayoutEncoder
                        by default -->
                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

        <appender name="ServiceExplorer" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/explorer.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/explorer.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

        <appender name="CMS" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/cms.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/cms.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

        <appender name="SETTLEMENT" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/settlement.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/settlement.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>
        <appender name="MANAGER" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/manager.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/manager.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>


		<appender name="Database" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/database.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/database.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

         <appender name="CsvLogger" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/cms_transactions.csv</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/cms_transactions.%d{yyyy-MM-dd}.csv
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date- %msg %n</pattern>
                </encoder>

        </appender>

		<appender name="ApacheThrift" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/thrift.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/thrift.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

		<appender name="CMSThrift" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/cms_thrift.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/cms_thrift.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

        <appender name="DBService" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/action.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/action.%d{yyyy-MM-dd}.log.zip
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

       <appender name="TRADELIMIT" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/tradelimit.log</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/tradelimit.%d{yyyy-MM-dd}.log
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%date-[%-5level] [%thread] [%logger{35}] - %msg %n</pattern>
                </encoder>
        </appender>

        <appender name="KAFKA" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>./logs/kafka.log</file>
                <encoder>
                        <pattern>%date - [%level] - %logger in %thread %message%xException%n</pattern>
                </encoder>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <fileNamePattern>./logs/kafka.%d{yyyy-MM-dd}.log.zip</fileNamePattern>
                        <maxHistory>7</maxHistory>
                </rollingPolicy>
        </appender>

        
       <appender name="OrderSettlementLogCSV" class="ch.qos.logback.core.rolling.RollingFileAppender">
                <file>logs/ordersettlement.csv</file>
                <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
                        <!-- daily rollover -->
                        <fileNamePattern>logs/ordersettlement.%d{yyyy-MM-dd}.csv
                        </fileNamePattern>

                        <maxHistory>7</maxHistory>
                </rollingPolicy>

                <encoder>
                        <pattern>%msg%n</pattern>
                </encoder>
        </appender>
        
    <appender name="USER_STATS_MESSAGE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>logs/userStatsMessage.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
        <!-- daily rollover -->
            <fileNamePattern>logs/userStats/userStatsMessage.%d{yyyy-MM-dd}.log.zip</fileNamePattern>
            <maxHistory>7</maxHistory>       
        </rollingPolicy>
        <encoder>
            <pattern>%msg%n</pattern>
        </encoder>
    </appender>
	
	<logger name="org.apache.thrift" level="DEBUG" additivity="false">
                <appender-ref ref="ApacheThrift" />
    </logger>

	<logger name="org.apache.thrift.observable" level="DEBUG" additivity="false">
                <appender-ref ref="ApacheThrift" />
        </logger>
        
        <logger name="org.apache.thrift.server" level="DEBUG" additivity="false">
                <appender-ref ref="ApacheThrift" />
        </logger>	
        
         <logger name="jayeson.vodds.service.cms" level="ALL" additivity="false">
                    <appender-ref ref="CMS" />
         </logger>
         <logger name="jayeson.lib.servicemanager" level="DEBUG" additivity="false">
                    <appender-ref ref="ServiceExplorer" />
         </logger>
         <logger name="org.hibernate" level="ERROR" additivity="false">
                   <appender-ref ref="Database" />
         </logger>
        <logger name="CsvLogger" level="ALL" additivity="false">
                   <appender-ref ref="CsvLogger" />
         </logger>
         <logger name="jayeson.vodds.service.cms.order.settlement" level="ALL" additivity="false">
                    <appender-ref ref="SETTLEMENT" />
         </logger>
         <logger name="jayeson.vodds.service.cms.data" level="ALL" additivity="false">
                    <appender-ref ref="MANAGER" />
         </logger>

         <logger name="TradeLimitManager" level="ALL" additivity="false">
                    <appender-ref ref="TRADELIMIT" />
         </logger>

         <logger name="KafkaConsumer" level="ALL" additivity="false">
                   <appender-ref ref="KAFKA" />
         </logger>

	<logger name="jayeson.vodds.service.cms.thrift.CMS" level="Debug" additivity="false">
                    <appender-ref ref="CMSThrift" />
         </logger>
	
	<logger name="CMSDebug" level="Debug" additivity="false">
                    <appender-ref ref="CMSThrift" />
         </logger>

        
         <logger name="persist.data.IDBService" level="INFO" additivity="false">
                    <appender-ref ref="DBService" />
         </logger>
         
         <logger name="OrderSettlementLogCSV" level="TRACE" additivity="false">
                <appender-ref ref="OrderSettlementLogCSV" />
         </logger>
    <logger name="userStatsMessage" level="INFO" additivity="false">
          <appender-ref ref="USER_STATS_MESSAGE" />
    </logger>
         <root level="INFO">
                   <appender-ref ref="STDOUT" />
         </root>

</configuration>
